package tech.youclap.dopamina.shared

enum class ErrorCode {

    FORBIDDEN,

    BADREQUEST,

    CHALLENGE_NOT_FOUND,
    CHALLENGE_INCONSISTENT,
    CHALLENGE_NOT_ONGOING,

    INVALID_CHALLENGE_PARAMETER,
    INVALID_MULTIPLE_CHALLENGE_PARAMETER,
    INVALID_PARAMETERS,
    INVALID_POST_PARAMETER,

    POST_NOT_FOUND,
    ALREADY_POSTED,
    INVALID_POST,

    INVALID_COMMENT,
    COMMENT_NOT_FOUND,

    CLAP_NOT_FOUND,

    AMERICA,

    UNKNOWN
}
